<?php

	$sql2 = 'SELECT * FROM '.$_POST['table'].' WHERE WID = "'.$_POST['WID'].'";';
	$result2 = $db->query($sql2);
	$nt2 = $result2->fetch_assoc();
	if ("" == $nt2['openimmoanid']) {
		$micro = microtime(get_as_float);
		preg_match('/(?P<time>\d+).(?P<micro>\d+)/', $micro, $zeit);
		$openimmoanid = "RIST".date('YmdHis', $zeit['time']).substr($zeit['micro'], 0, 3).substr(md5($micro), 3, 10);
		$sqls1 =	'UPDATE '.$_POST['table'].' SET openimmoanid = "'.$openimmoanid.'" WHERE WID = "'.$_POST['WID'].'";';
		$stmts1 = $db->prepare($sqls1);
		if (!$stmts1) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts1->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts1->error);
		}
	} else {
		$openimmoanid = $nt2['openimmoanid'];
	}
	
	if ("importieren" == $_POST['Modus']) {
		$Importmodus = "NEW";
	} elseif ("aktualisieren" == $_POST['Modus']) {
		$Importmodus = "CHANGE";
	} elseif ("loeschen" == $_POST['Modus']) {
		$Importmodus = "DELETE";
	}
	preg_match('/(?<Strasse>\D+) (?P<Nr>\d+)/', $nt2['Adresse'], $teil);
	
	if ('wkauf' == $_POST['table']) {
		$Vermarktungsart = "KAUF=\"1\" MIETE_PACHT=\"0\"";
		$Preis =		"				<kaufpreis>".$nt2['Mkalt']."</kaufpreis>\n";
		$Preis .=		"				<nebenkosten>".$nt2['NebenK']."</nebenkosten>\n";
		if ("0" != $nt2['GaraK']) {
			$Preis .=	"				<stp_garage stellplatzkaufpreis=\"".$nt2['GaraK']."\" />\n";
		} elseif ("0" != $nt2['StellK']) {
			$Preis .=	"				<stp_freiplatz stellplatzkaufpreis=\"".$nt2['StellK']."\" />\n";
		}
		$picpath = "../img/wkauf/".$_POST['WID']."/";
	} elseif ('wmiete' == $_POST['table']) {
		$Vermarktungsart = "KAUF = \"0\" MIETE_PACHT=\"1\"";
		$Preis =		"				<kaltmiete>".$nt2['Mkalt']."</kaltmiete>\n";
		$Preis .=		"				<nebenkosten>".$nt2['NebenK']."</nebenkosten>\n";
		$Preis .=		"				<kaution>".$nt2['Kaution']."</kaution>\n";
		if ("0" != $nt2['GaraK']) {
			$Preis .=	"				<stp_garage stellplatzmiete=\"".$nt2['GaraK']."\" />\n";
		} elseif ("0" != $nt2['StellK']) {
			$Preis .=	"				<stp_freiplatz stellplatzmiete=\"".$nt2['StellK']."\" />\n";
		}
		$picpath = "../img/wmiete/".$_POST['WID']."/";
	}
	if ('Wohnung' == $nt2['Art']) {
		$Objektart = "<wohnung />";
	} elseif ('Haus' == $nt2['Art']) {
		$Objektart = "<haus />";
	}
	

	for ($i=0; $i<10; $i++) {
		if ((file_exists($picpath.$i.".jpg"))){
			if ('' == $nt2['FotoB'.$i.'']) {
				$MmATitel = 'Foto'.$i;
			} else {
				$MmATitel = $nt2['FotoB'.$i.''];
			}
			$Anhang .=	"				<anhang location=\"INTERN\" gruppe=\"BILD\">\n";
			$Anhang .=	"					<anhangtitel>".$MmATitel."</anhangtitel>\n";
			$Anhang .=	"					<format>image/jpeg</format>\n";
			$Anhang .=	"					<daten>\n";
			$Anhang .=	"						<pfad>".$_POST['WID']."_".$i.".jpg</pfad>\n";
			$Anhang .=	"					</daten>\n";
			$Anhang .=	"				</anhang>\n";
			
			$source = $picpath.$i.".jpg";
			$dest = "temp/".$_POST['WID']."_".$i.".jpg";
			copy($source, $dest);
		}
	}
	$path = "temp/".$_POST['WID']."_st_Z9B_imt.xml";
	$datei = fopen($path, "a+");
	
	$text = '<?xml version="1.0" encoding="ISO-8859-1"?>'."\n";
	$text .= "<openimmo>\n";
	$text .= "	<uebertragung art=\"ONLINE\" umfang=\"TEIL\" modus=\"".$Importmodus."\" version=\"1.2.2\" sendersoftware=\"R!ST\" senderversion=\"".SW_VERSION."\" techn_email=\"".KONT_MAIL."\" />\n";
	$text .= "	<anbieter>\n";
	$text .= "		<anbieternr>".NEWH_KD."</anbieternr>\n";
	$text .= "		<firma>".KONT_FIRMA."</firma>\n";
	$text .= "		<openimmo_anid>".$openimmoanid."</openimmo_anid>\n";
	$text .= "		<immobilie>\n";
	$text .= "			<objektkategorie>\n";
	$text .= "				<nutzungsart WOHNEN=\"1\" GEWERBE=\"0\" />\n";
	$text .= "				<vermarktungsart ".$Vermarktungsart." />\n";
	$text .= "				<objektart>\n";
	$text .= "					".$Objektart."\n";
	$text .= "				</objektart>\n";
	$text .= "			</objektkategorie>\n";
	$text .= "			<geo>\n";
	$text .= "				<plz>".$nt2['PLZ']."</plz>\n";
	$text .= "				<ort>".$nt2['Ort']."</ort>\n";
	$text .= "				<strasse>".$teil['Strasse']."</strasse>\n";
	$text .= "				<hausnummer>".$teil['Nr']."</hausnummer>\n";
	$text .= "				<land iso_land=\"DEU\" />\n";
	$text .= "			</geo>\n";
	$text .= "			<kontaktperson>\n";
	$text .= "				<tel_zentrale>".KONT_TEL."</tel_zentrale>\n";
	$text .= "				<name>".KONT_NACH."</name>\n";
	$text .= "				<vorname>".KONT_VOR."</vorname>\n";
	$text .= "				<anrede>".KONT_ANR."</anrede>\n";
	$text .= "				<firma>".KONT_FIRMA."</firma>\n";
	$text .= "				<strasse>".KONT_STR."</strasse>\n";
	$text .= "				<hausnummer>".KONT_NR."</hausnummer>\n";
	$text .= "				<plz>".KONT_PLZ."</plz>\n";
	$text .= "				<ort>".KONT_ORT."</ort>\n";
	$text .= "				<land iso_land=\"DEU\" />\n";
	$text .= "				<url>".KONT_HOME."</url>\n";
	$text .= "			</kontaktperson>\n";
	$text .= "			<preise>\n";
	$text .= $Preis;
	$text .= "			</preise>\n";
	$text .= "			<flaechen>\n";
	$text .= "				<wohnflaeche>".$nt2['WohnF']."</wohnflaeche>\n";
	if ("Wohnung" != $nt2['Art']) {
		$text .= "				<grundstuecksflaeche>".$nt2['GrundF']."</grundstuecksflaeche>\n";
	}
	$text .= "				<anzahl_zimmer>".$nt2['Zimmer']."</anzahl_zimmer>\n";
	$text .= "			</flaechen>\n";
	$text .= "			<zustand_angaben>\n";
	$text .= "				<baujahr>".$nt2['Baujahr']."</baujahr>\n";
	$text .= "			</zustand_angaben>\n";
	$text .= "			<freitexte>\n";
	$text .= "				<objekttitel>".$nt2['Kurz']."</objekttitel>\n";
	$text .= "				<ausstatt_beschr>".$nt2['Ausstatt']."</ausstatt_beschr>\n";
	$text .= "				<objektbeschreibung>".$nt2['Beschreibung']."</objektbeschreibung>\n";
	$text .= "				<sonstige_angaben>".$nt2['Sonst']."</sonstige_angaben>\n";
	$text .= "			</freitexte>\n";
	if ("" != $Anhang) {
		$text .= "			<anhaenge>\n";
		$text .= $Anhang;
		$text .= "			</anhaenge>\n";
	}
	$text .= "			<verwaltung_objekt>\n";
	$text .= "				<objektadresse_freigeben>0</objektadresse_freigeben>\n";
	$text .= "				<verfuegbar_ab>".$nt2['Bezug']."</verfuegbar_ab>\n";
	if ("0" != $nt2['EZahl']) {
		$pers = $nt2['EZahl'] + $nt2['KZahl'];
		$text .= "				<max_personen>".$pers."</max_personen>\n";
	}
	if ("0" == $nt2['Raucher']) {
		$text .= "				<nichtraucher>1</nichtraucher>\n";
	}
	if ("1" == $nt2['Tiere']) {
		$text .= "				<haustiere>1</haustiere>\n";
	}
	$text .= "			</verwaltung_objekt>\n";
	$text .= "			<verwaltung_techn>\n";
	$text .= "				<objektnr_intern>".$nt2['WID']."</objektnr_intern>\n";
	$text .= "				<objektnr_extern>".$nt2['WID']."</objektnr_extern>\n";
	$text .= "				<aktion />\n";
	$text .= "				<openimmo_obid>".$openimmoanid."</openimmo_obid>\n";
	$text .= "				<stand_vom>".date('Y-m-d')."</stand_vom>\n";
	$text .= "			</verwaltung_techn>\n";

	$text .= "		</immobilie>\n";
	$text .= "	</anbieter>\n";
	$text .= "</openimmo>\n";

	fwrite($datei, $text);
	fclose($datei);
?>